List apps

Returns a list of apps used in the organization.




Filtering is available via the documented query parameters below and by custom application fields.

Example:

GET /apps?fields=id,name,myCustomField&state=discovered&myCustomField=true

The above example returns a list of applications that are in discovered state and myCustomField is true. Each application object will contain the id, name and myCustomField fields.

Use includeLicenses=true to include aggregated license summary for each app.

  • Rate limit: 200 requests per minute

Query Params
string
Defaults to id,name,primaryOwner

List of fields to return for each application.
Allowed fields: id, name, primaryOwner, appOwners, state, category, url, imageUrl, description, tags, score, isCustom, addedBy, creationTime, isHidden, sources, vendor, activeUsersCount, lastVisitTime and all fields from /apps/fields

string

JSON string representing aggregation configuration. Structure: '{"field":"string","aggregationType":"metric|groupBy|date_range|date_histogram","options":{"size":"integer","sort":{"field":"string","order":"desc|asc","aggFunc":"total|sum|avg|max|min"},"metricFunction":"total|sum|avg|max|min","hardBounds":{"min":"string","max":"string"},"extendedBounds":{"min":"string","max":"string"},"datePeriod":"weekly|monthly|quarterly|yearly"},"aggs":"Nested aggregation with the same structure as the parent"}'

string

The query to search

string

A comma-seperated list of fields to sort by, with a postfix with either ':asc' or ':desc'. Fields can either be general, or custom to your organization

string

JSON string representing filters

integer
1 to 1000

The max amount of results to return

string

A base64 string indicating the offset from which to start.
Pass the value of nextCursor returned from the previous call to get the next set of results

boolean

Include aggregated license summary for each app

Response

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
*/*